org.apache.sysds.runtime.compress.estim

## Class CompressedSizeEstimatorFactory

- java.lang.Object
- - org.apache.sysds.runtime.compress.estim.CompressedSizeEstimatorFactory

    public class CompressedSizeEstimatorFactory
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CompressedSizeEstimatorFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CompressedSizeEstimator` `getSizeEstimator(MatrixBlock data, CompressionSettings cs)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompressedSizeEstimatorFactory

    public CompressedSizeEstimatorFactory()

### Method Detail

#### getSizeEstimator

    public static CompressedSizeEstimator getSizeEstimator(MatrixBlock data,
                                                           CompressionSettings cs)